# class DataConsumer | A data consumer More...
Contains pure virtuals
Full name | `TelEngine::DataConsumer`
Definition | `#include <yatephone.h>`
Inherits | TelEngine::DataNode [public ]
Inherited by | DataTranslator
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline explicit DataConsumer (const char* format = "slin")
- virtual void destroyed ()
- virtual void* getObject (const String& name) const
- virtual unsigned long Consume (const DataBlock& data, unsigned long tStamp, unsigned long flags)
- inline DataSource* getConnSource () const
- inline DataSource* getOverSource () const
- virtual DataSource* getTransSource () const

#### Protected Methods

- virtual bool synchronize (DataSource* source)

## Detailed Description

A data consumer

inline explicit DataConsumer (const char* format = "slin") | ### DataConsumer

Consumer constructor

Parameters:

format | Name of the data format, default "slin" (Signed Linear)

void destroyed () | ### destroyed

[virtual]

Destruct notification - complains loudly if still attached to a source

Reimplemented from RefObject.

void* getObject (const String& name) | ### getObject

[const virtual]

Get a pointer to a derived class given that class name

Parameters:

name | Name of the class we are asking for

Returns: Pointer to the requested class or NULL if this object doesn't implement it

Reimplemented from RefObject.

unsigned long Consume (const DataBlock& data, unsigned long tStamp, unsigned long flags) | ### Consume

[pure virtual]

Consumes the data sent to it from a source

Parameters:

data | The raw data block to process
tStamp | Timestamp of data - typically samples
flags | Indicator flags associated with the data block

Returns: Number of samples actually consumed, use invalidStamp() to indicate that all data was consumed, return zero for consumers that become invalid

inline DataSource* getConnSource () | ### getConnSource

[const]

Get the data source of this object if it's connected

Returns: A pointer to the DataSource object or NULL

inline DataSource* getOverSource () | ### getOverSource

[const]

Get the override data source of this object if it's connected

Returns: A pointer to the DataSource object or NULL

DataSource* getTransSource () | ### getTransSource

[const virtual]

Get the data source of a translator object

Returns: A pointer to the DataSource object or NULL

bool synchronize (DataSource* source) | ### synchronize

[protected virtual]

Synchronize the consumer with a source

Parameters:

source | Data source to copy the timestamp from

Returns: True if we could synchronize with the source

Generated by: paulc on bussard on Fri May 8 12:37:22 2015, using kdoc 2.0a54.